Subject: Question about Propogation delay for GS

From: Gaitonde Anandprasanna <[email-masked]>
Date: Mon, 23 Oct 2000 00:07:02 +0530 (IST)

Well one doubt rose in my mind when i as going thru the code of RSVP.

Well the latency values etc are calculted by the demon based on the
information it reads from the TC components in the kernel during RSVP
initialisation.
   But no where do i find any mention of the propogation delay  being
taken into account for Guranteed service. That is if the link connecting
two routers is quite long then there will be some Propogation delay which
needs to be considered while making caculations for Guranteed Service as
the guranteed service has to gurantee an end to end delay  bound.

Please let me know  as to how this issue is handled in the implementation
or whether RSVP does not care about the Propogation delay???

Thanx in advance

Yours sincerely

Pras

                     _____________________________                  
                   _ |ANANDPRASANNA GAITONDE     | _ 
                  / )|COMP. SCIENCE & AUTOMATION |( \
                 / / |D-7,IISc HOSTEL            | \ \
                / /  |INDIAN INSTITUTE OF SCIENCE|  \ \
              _( (_  |BANGALORE-560012.          |  _) )_
              (((\ \>|_/->___________________<-\_|</ /)))
              (\\\\ \_/ /LAB Ph.(080)3092906  \ \_/ ////)
               \       /HOSTEL Ph.-            \       /  
                \    _/     (080)3092452        \_    /     
                /   /-----------------------------\   \                  
               /  Email Id-                            \ 
              /      [email-masked]         \
	     ---------------------------------------------
            -----------------------------------------------

--------------------------------------------------------------------------------
		
*************************************************************************  
| | | | __ ___   _____     __ _    _ __ (_) ___ ___     __| | __ _ _   _
| |_| |/ _` \ \ / / _ \   / _` |  | '_ \| |/ __/ _ \   / _` |/ _` | | | |
|  _  | (_| |\ V /  __/  | (_| |  | | | | | (_|  __/  | (_| | (_| | |_| |
|_| |_|\__,_| \_/ \___|   \__,_|  |_| |_|_|\___\___|   \__,_|\__,_|\__, |
*************************************************************************

---

From: Bob Braden <[email-masked]>
Date: Sun, 22 Oct 2000 19:35:03 -0700 (PDT)

*> From [email-masked] Sun Oct 22 11:39:03 2000
  *> X-Authentication-Warning: helios.csa.iisc.ernet.in: prasanna owned process doing -bs
  *> Date: Mon, 23 Oct 2000 00:07:02 +0530 (IST)
  *> From: Gaitonde Anandprasanna <[email-masked]>
  *> To: [email-masked], [email-masked]
  *> Subject: Question about Propogation delay for GS
  *> MIME-Version: 1.0
  *> X-Lines: 52
  *> 
  *> 
  *> Well one doubt rose in my mind when i as going thru the code of RSVP.
  *> 
  *> Well the latency values etc are calculted by the demon based on the
  *> information it reads from the TC components in the kernel during RSVP
  *> initialisation.
  *>    But no where do i find any mention of the propogation delay  being
  *> taken into account for Guranteed service. That is if the link connecting
  *> two routers is quite long then there will be some Propogation delay which
  *> needs to be considered while making caculations for Guranteed Service as
  *> the guranteed service has to gurantee an end to end delay  bound.
  *> 
  *> Please let me know  as to how this issue is handled in the implementation
  *> or whether RSVP does not care about the Propogation delay???
  *> 

Please see the RFC on Guaranteed Service.  This is not an RSVP question,
it is an int-serv question.  You could pose it on the [email-masked]
mailing list.

Bob Braden

  *> 
  *> Thanx in advance
  *> 
  *> Yours sincerely
  *> 
  *> Pras
  *> 
  *> 
  *> 
  *>                  
  *>                      _____________________________                  
  *>                    _ |ANANDPRASANNA GAITONDE     | _ 
  *>                   / )|COMP. SCIENCE & AUTOMATION |( \
  *>                  / / |D-7,IISc HOSTEL            | \ \
  *>                 / /  |INDIAN INSTITUTE OF SCIENCE|  \ \
  *>               _( (_  |BANGALORE-560012.          |  _) )_
  *>               (((\ \>|_/->___________________<-\_|</ /)))
  *>               (\\\\ \_/ /LAB Ph.(080)3092906  \ \_/ ////)
  *>                \       /HOSTEL Ph.-            \       /  
  *>                 \    _/     (080)3092452        \_    /     
  *>                 /   /-----------------------------\   \                  
  *>                /  Email Id-                            \ 
  *>               /      [email-masked]         \
  *> 	     ---------------------------------------------
  *>             -----------------------------------------------
  *> 
  *> --------------------------------------------------------------------------------
  *> 		
  *> *************************************************************************  
  *> | | | | __ ___   _____     __ _    _ __ (_) ___ ___     __| | __ _ _   _
  *> | |_| |/ _` \ \ / / _ \   / _` |  | '_ \| |/ __/ _ \   / _` |/ _` | | | |
  *> |  _  | (_| |\ V /  __/  | (_| |  | | | | | (_|  __/  | (_| | (_| | |_| |
  *> |_| |_|\__,_| \_/ \___|   \__,_|  |_| |_|_|\___\___|   \__,_|\__,_|\__, |
  *> *************************************************************************
  *> 
  *> 
  *> 
  *>